Subject: Re: uudecode?
From: [email-masked] (John Cooper)

19 Jan 1999 15:17:45 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
To: [email-masked] (root)
Cc: [email-masked], [email-masked]

[email-masked] (root) writes:

 > Let's stop this uuencode/decode discussion.  Here are two small little
 > programs in that old but powerful language we all know somehow.

These also don't work (see below).

This doesn't look like a "mount" problem?  The cygwin FAQ states about mount:

  "The '-b' option to mount mounts the mountpoint in binary mode where text and
   binary files are treated equivalently. This should only be necessary for badly
   ported Unix programs where binary flags are missing from open calls."

.... and your code does open the files in binary mode, so shouldn't it work
regardless of mount?

It even seems to fail when I do mount a directory in binary mode...

If nobody has a solution, I guess I'll try debugging it when I get time.

    --- John

  $ cp c:/winnt/NOTEPAD.EXE n.exe
  $ ls -l n.exe
  -rwxrwxrwx   1 JCooper          Domain_Users    45328 Jan 19 10:28 n.exe*
  $
  $ ./uuencode n.exe n.exe > n.uu
  $ ls -l n.uu
  -rw-rw-rw-   1 JCooper          Domain_Users    62479 Jan 19 10:28 n.uu
  $
  $ ./uudecode n.uu
  $ ls -l n.exe
  -rwxrwxrwx   1 JCooper          Domain_Users      261 Jan 19 10:28 n.exe*
  $

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".